Robot Simulator of the Robotics Group for Self-Organization of Control: SkeletonConf Struct Reference

# SkeletonConf Struct Reference

`#include <skeleton.h>`

List of all members.

## Public Attributes
double | size
| scaling factor for robot (height)
double | massfactor
| mass factor for all parts
bool | useVelocityServos
| if true the more stable velocity controlling servos are used
double | relLegmass
| relative overall leg mass
double | relArmmass
| relative overall arm mass
double | relFeetmass
| relative overall feet mass
double | hipPower
| maximal force for at hip joint motors
double | hipDamping
| damping of hip joint servos
double | hipVelocity
| velocity of hip joint servos
double | hipJointLimit
| angle range for legs
double | hip2Power
| maximal force for at hip2 (sagital joint axis) joint motors
double | hip2Damping
| damping of hip2 joint servos
double | hip2JointLimit
| angle range for hip joint in lateral direction
double | neckPower
| spring strength in the neck
double | neckDamping
| damping in the neck
double | neckVelocity
| velocity in the neck
double | neckJointLimit
| angle range for neck
double | kneePower
| spring strength in the knees
double | kneeDamping
| damping in the knees
double | kneeVelocity
| velocity in the knees
double | kneeJointLimit
| angle range for knees
double | anklePower
| spring strength in the ankles
double | ankleDamping
| damping in the ankles
double | ankleVelocity
| velocity in the ankles
double | ankleJointLimit
| angle range for ankles
double | armPower
| maximal force for at arm (shoulder) joint motors
double | armDamping
| damping of arm ((shoulder)) joint servos
double | armVelocity
| velocity of arm ((shoulder)) joint servos
double | armJointLimit
| angle range of arm joint
double | elbowPower
| maximal force for at elbow (shoulder) joint motors
double | elbowDamping
| damping of elbow ((shoulder)) joint servos
double | elbowVelocity
| velocity of elbow ((shoulder)) joint servos
double | elbowJointLimit
| angle range of elbow joint
double | pelvisPower
| maximal force for at pelvis joint motor
double | pelvisDamping
| damping of pelvis joint servo
double | pelvisVelocity
| velocity of pelvis joint servo
double | pelvisJointLimit
| angle range of pelvis joint
double | backPower
| maximal force for at back joint motor
double | backDamping
| damping of back joint servo
double | backVelocity
| velocity of back joint servo
double | backJointLimit
| angle range of back joint
double | powerFactor
| scale factor for maximal forces of the servos
double | relForce
| factor between arm force and rest
double | dampingFactor
| scale factor for damping of the servos
double | jointLimitFactor
| factor between servo range (XXXJointLimit, see above) and physical joint limit
bool | onlyPrimaryFunctions
| true: only leg and arm are controlable, false: all joints
bool | onlyMainParameters
| true: only a few parameters are exported for configuration
bool | handsRotating
| hands are attached with a ball joint
bool | useGripper
| hands have a gripper: use getGrippers and add grippables
double | gripDuration
| time the gripper can grasp
double | releaseDuration
| time the gripper has to release before grasping again
bool | movableHead
| if false then no neck movement
bool | useBackJoint
| whether to use the joint in the back
bool | irSensors
| whether to use the irsensor eyes
std::string | headColor
| special color of head (typically like body)
std::string | bodyColor
| color of skin
std::string | trunkColor
| color of upper body (pullover-color)
std::string | trouserColor
| color of upper legs and hands (trousers-color)
std::string | headTexture
std::string | bodyTexture
std::string | trunkTexture

## Member Data Documentation

double ankleDamping

damping in the ankles

double ankleJointLimit

angle range for ankles

double anklePower

spring strength in the ankles

double ankleVelocity

velocity in the ankles

double armDamping

damping of arm ((shoulder)) joint servos

double armJointLimit

angle range of arm joint

double armPower

maximal force for at arm (shoulder) joint motors

double armVelocity

velocity of arm ((shoulder)) joint servos

double backDamping

damping of back joint servo

double backJointLimit

angle range of back joint

double backPower

maximal force for at back joint motor

double backVelocity

velocity of back joint servo

std::string bodyColor

color of skin

std::string bodyTexture

double dampingFactor

scale factor for damping of the servos

double elbowDamping

damping of elbow ((shoulder)) joint servos

double elbowJointLimit

angle range of elbow joint

double elbowPower

maximal force for at elbow (shoulder) joint motors

double elbowVelocity

velocity of elbow ((shoulder)) joint servos

double gripDuration

time the gripper can grasp

bool handsRotating

hands are attached with a ball joint

std::string headColor

special color of head (typically like body)

std::string headTexture

double hip2Damping

damping of hip2 joint servos

double hip2JointLimit

angle range for hip joint in lateral direction

double hip2Power

maximal force for at hip2 (sagital joint axis) joint motors

double hipDamping

damping of hip joint servos

double hipJointLimit

angle range for legs

double hipPower

maximal force for at hip joint motors

double hipVelocity

velocity of hip joint servos

bool irSensors

whether to use the irsensor eyes

double jointLimitFactor

factor between servo range (XXXJointLimit, see above) and physical joint limit

double kneeDamping

damping in the knees

double kneeJointLimit

angle range for knees

double kneePower

spring strength in the knees

double kneeVelocity

velocity in the knees

double massfactor

mass factor for all parts

bool movableHead

if false then no neck movement

double neckDamping

damping in the neck

double neckJointLimit

angle range for neck

double neckPower

spring strength in the neck

double neckVelocity

velocity in the neck

bool onlyMainParameters

true: only a few parameters are exported for configuration

bool onlyPrimaryFunctions

true: only leg and arm are controlable, false: all joints

double pelvisDamping

damping of pelvis joint servo

double pelvisJointLimit

angle range of pelvis joint

double pelvisPower

maximal force for at pelvis joint motor

double pelvisVelocity

velocity of pelvis joint servo

double powerFactor

scale factor for maximal forces of the servos

double relArmmass

relative overall arm mass

double releaseDuration

time the gripper has to release before grasping again

double relFeetmass

relative overall feet mass

double relForce

factor between arm force and rest

double relLegmass

relative overall leg mass

double size

scaling factor for robot (height)

std::string trouserColor

color of upper legs and hands (trousers-color)

std::string trunkColor

color of upper body (pullover-color)

std::string trunkTexture

bool useBackJoint

whether to use the joint in the back

bool useGripper

hands have a gripper: use getGrippers and add grippables

bool useVelocityServos

if true the more stable velocity controlling servos are used

The documentation for this struct was generated from the following file:

- skeleton.h